package de.intevation.flys.client.client.services;

import org.w3c.dom.Document;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import de.intevation.flys.client.shared.exceptions.ServerException;
import de.intevation.flys.client.shared.model.Collection;
import de.intevation.flys.client.shared.model.CollectionItemAttribute;

/**
 * This interface provides a method to retrieve an artifact based on its uuid.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
@RemoteServiceRelativePath("collection-item-attribute")
public interface CollectionItemAttributeService extends RemoteService {

    CollectionItemAttribute getCollectionItemAttribute(
        Collection collection,
        String artifact,
        String url,
        String locale)
    throws ServerException;

    void setCollectionItemAttribute(
        Collection collection,
        String artifact,
        String url,
        String locale,
        CollectionItemAttribute attribute)
    throws ServerException;

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
